Package ru.bitel.bgbilling.kernel.admin.errorlog.common.bean

# Class AlarmErrorMessage

java.lang.Object
ru.bitel.bgbilling.kernel.admin.errorlog.common.bean.ErrorMessage
ru.bitel.bgbilling.kernel.admin.errorlog.common.bean.AlarmErrorMessage

public class AlarmErrorMessage extends ErrorMessage
Срочное сообщение об ошибке, отправляемое по почте.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.admin.errorlog.common.bean.ErrorMessage

  `subject, text`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlarmErrorMessage(String key, String subject, String text)`
  `AlarmErrorMessage(String key, String subject, String text, Throwable ex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  `String`
  `getText()`
  `boolean`
  `isDumpStackTrace()`
  `boolean`
  `isSendToEmail()`
  `boolean`
  `isSendToLog()`
  `void`
  `setDumpStackTrace(boolean dumpStackTrace)`
  `void`
  `setSendToEmail(boolean isSendToEmail)`
  `void`
  `setSendToLog(boolean isSendToLog)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.admin.errorlog.common.bean.ErrorMessage

  `addText, getRegistrationTime, getSubject, setRegistrationTime, setText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AlarmErrorMessage

    public AlarmErrorMessage(String key, String subject, String text)

  - ### AlarmErrorMessage

    public AlarmErrorMessage(String key, String subject, String text, Throwable ex)

- ## Method Details

  - ### getKey

    public String getKey()

  - ### getText

    public String getText()
    Overrides:
      `getText` in class `ErrorMessage`

  - ### isSendToEmail

    public boolean isSendToEmail()

  - ### setSendToEmail

    public void setSendToEmail(boolean isSendToEmail)

  - ### isSendToLog

    public boolean isSendToLog()

  - ### setSendToLog

    public void setSendToLog(boolean isSendToLog)

  - ### isDumpStackTrace

    public boolean isDumpStackTrace()

  - ### setDumpStackTrace

    public void setDumpStackTrace(boolean dumpStackTrace)